> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai-stats.phaseo.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Video delete (Beta)

> Tombstone a terminal video generation request record.

Tombstones a terminal video generation record.

In-progress jobs cannot be deleted. Use this after a job is `completed`, `failed`, `cancelled`, or `expired` when you want to remove the stored gateway record from normal API/UI surfaces.


## OpenAPI

````yaml DELETE /videos/{video_id}
openapi: 3.0.3
info:
  title: AI Stats Gateway API
  description: >-
    A gateway API for accessing various AI models with OpenAI-compatible
    endpoints.
  version: 1.0.0
  contact:
    name: AI Stats
    url: https://docs.ai-stats.phaseo.app
    email: danielbutler500@gmail.com
servers:
  - url: https://api.phaseo.app/v1
security:
  - BearerAuth: []
tags:
  - name: Gateway
    description: Core AI Stats Gateway operations.
paths:
  /videos/{video_id}:
    delete:
      tags:
        - Gateway
      summary: Delete video
      description: >-
        Tombstones a terminal video generation record. In-progress jobs cannot
        be deleted.
      operationId: deleteVideo
      parameters:
        - name: video_id
          in: path
          required: true
          description: The ID of the video generation request.
          schema:
            type: string
      responses:
        '200':
          description: Video deletion response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoDeleteResponse'
components:
  schemas:
    VideoDeleteResponse:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
        deleted:
          type: boolean
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````